#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int a1,a2,b1,b2;
    scanf("%lld%lld%lld%lld", &a1, &b1, &a2, &b2);
    if(a1 == a2 && b1 == b2)
    {
        printf("nijedan");
    }
    if(a1 != a2 && b1 != b2)
    {
        printf("?");
    }
    if(a1 == a2 && b1 != b2)
    {
        printf("drugi");
    }
    if(a1 != a2 && b1 == b2)
    {
        printf("prvi");
    }
    return 0;
}